/* output code to test for string */!!

inherit(CLITypeTestNode, #CLITypeStringNode, nil, 2, nil)!!

now(class(CLITypeStringNode))!!

now(CLITypeStringNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self | temp)
{
  temp := expressionEcho(getExecutionEngine(CLIExecEngine));
  CLICodeCompile("setCliStatusLogical(self, ");
  if temp
  then
    CLICodeCompile("displayLogical(self, ");
  endif;
  CLICodeCompile("testString(self, getRValue(self, "+doubleQuoteString(CLIUtilities));
  CLICodeCompile(value);
  CLICodeCompile(doubleQuoteString(CLIUtilities)+"))");
  if temp
  then
    CLICodeCompile(")");
  endif;
  CLICodeCompile(") ");
}!!
